# The CairoContent class

(No version information available, might only be in Git)

## Introduction

CairoContent is used to describe the content that a surface will contain, whether color information, alpha information (translucence vs. opacity), or both.

Note: The large values here are designed to keep CairoContent values distinct from CairoContent values so that the implementation can detect the error if users confuse the two types.

## Class synopsis

CairoContent {
/* Constants */
const integer COLOR = 4096 ;
const integer ALPHA = 8192 ;
const integer COLOR_ALPHA = 12288 ;
}

## Predefined Constants

`CairoContent::COLOR`

  The surface will hold color content only.

`CairoContent::ALPHA`

  The surface will hold alpha content only.

`CairoContent::COLOR_ALPHA`

  The surface will hold color and alpha content.